	.include	"execkick.i.as"
	.include	"reg332g.i"

	KICKTAG	ResidentInit,"Timer-testing ASM-Resident","40.0 [Lace]",-125

ResidentInit
	move.l	a5,-(sp)
	lea	SetupTimer(pc),a5
	printd	"SetupTimer-caller\n"
	jsr	_LVOSupervisor(a6)
	printd	"SetupTimer-returned\n"
	move.l	(sp)+,a5
	rts

SetupTimer	printd	"SetupTimer-start\n"
	move.l #TimerInt,$0100
	move.w #$0640,picr		;interrupt level 6, vector $40
	move.w #$0110,pitr		;time-out period of 1 second
	andi.w #$FFF0,simmcr	;set interrupt arbitration field to a
	ori.w #$0005,simmcr		;unique value.
	printd	"SetupTimer-end\n"
	rte

TimerInt
	movem.l	d0/d1/a0/a1/a6,-(sp)
	printd	"Timer-Stroke!\n"
	movem.l	(sp)+,d0/d1/a0/a1/a6
	rte
